/* pulsar.h */

#define FACILITY LOG_LOCAL3 /* syslog facility, you may prefer LOG_DAEMON */
#define TTLFILE "/etc/time_remaining"
#define PWRFILE "/etc/powerstatus"
#define RUNDIR "/var/run"
#define LOCKDIR "/var/lock"

#define CORRECT_FREQUENCY 50

/*********************************************************************
*                                                                    *
*         END OF USER CONFIGURABLE SECTION                           *
*                                                                    *
**********************************************************************/
int ups_start(void);
char *get_id_string();
int kill_power();
int ups_status(void);
int battery_status(void);
int power_in_value(void);
int ups_load(void);
int battery_load(void);
int autonomy(void);
int set_autorestart(void);
int set_powersaving(void);
char *packet_recv();
